# mysqli::refresh

# mysqli_refresh

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

mysqli::refresh -- mysqli_refresh — Refresca

### Descripción

Estilo orientado a objetos

public mysqli::refresh(int `$options`): bool

Estilo por procedimientos

mysqli_refresh(resource `$link`, int `$options`): bool

Vacía las tablas o caches, o restablece la información de replicación de servidores.

### Parámetros

`link`

  Sólo estilo por procediminetos: Un identificador de enlace devuelto por mysqli_connect() o mysqli_init()

`options`

  Las opciones para refrescar, utilizando las constantes MYSQLI_REFRESH_* tal como se documenta en las constantes MySQLi.

  Ver también la documentiación oficial de » MySQL Refresh

### Valores devueltos

`true` si el refresh fue exitoso, `false` en caso contrario.

### Ver también

- mysqli_poll() - Almacena en caché conexiones